package com.mortals.xhx.module.doc.form.web;
import com.alibaba.fastjson.JSON;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.doc.form.model.DocFormEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.doc.form.model.vo.DocFormVo;
import com.mortals.xhx.module.doc.form.service.DocFormService;
import java.util.Map;
import java.util.List;
/**
* DocFormController
*
* doc单 控制器
*
* @author zxfei
* @date 2021-10-16
*/
@RestController
@RequestMapping("doc/form")
public class DocFormController extends BaseCRUDJsonBodyMappingController<DocFormService, DocFormEntity,Long> {


    public DocFormController(){
        super.setFormClass(DocFormForm.class);
        super.setModuleDesc( "doc单");
    }

    @Override
    protected void init( Map<String, Object> model, Context context) {
        super.init(model, context);
    }


    public static void main(String[] args) {
        DocFormEntity docFormEntity = new DocFormEntity();
        docFormEntity.setFormContent("{\"i_1_标题\":\"234\",\"date_1_会议时间\":\"2022 年 09 月 12 日\",\"i_1_会议地点\":\"24\",\"dt_1_汇报\":[{\"i_1_汇报人\":\"2313213\",\"date_1_汇报时间\":\"\",\"t_1_汇报内容\":\"1231313\",\"index\":0},{\"i_1_汇报人\":\"啊啊啊\",\"date_1_汇报时间\":\"\",\"t_1_汇报内容\":\"巴巴爸爸\",\"index\":1}],\"i_1_记录人\":\"滚滚滚\",\"ck_1_政治面貌_v党员_非党员_党员先锋岗v\":[\"党员\",\"非党员\"],\"r_1_证件类型_v身份证_军官证_残疾证v\":\"残疾证\",\"s_1_设备类型_v呼叫器_窗口屏_评价器v\":\"窗口屏\"}");
        docFormEntity.setTemplateId(50L);

        System.out.println(JSON.toJSONString(docFormEntity));

    }

}